Intrusion Prevention

Ajenti.AUTH.Username.Command.Injection

Description

This indicates an attack attempt to exploit a Remote Code Execution Vulnerability in Ajenti.
The vulnerability is due to insufficient sanitizing of user supplied inputs in the application. A remote, unauthenticated attacker can exploit this vulnerability via crafted HTTP requests. Successful exploitation could result in arbitrary code execution in the context of the server application.

Affected Products

Ajenti version 2.1.31

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Apply the most recent upgrade or patch from the vendor.
https://github.com/ajenti/ajenti/commit/7aa146b724e0e20cfee2c71ca78fafbf53a8767c